%{?mingw_package_header}

Name:           mingw-flac
Version:        1.4.3
Release:        %mkrel 2
Summary:        Encoder/decoder for the Free Lossless Audio Codec

License:        BSD-3-Clause AND GPL-2.0-or-later AND GFDL-1.1-or-later
Group:          Development/Other
URL:            https://xiph.org/flac/
Source0:        https://ftp.osuosl.org/pub/xiph/releases/flac/flac-%{version}.tar.xz

BuildArch:      noarch

BuildRequires:  make
BuildRequires:  mingw32-filesystem >= 95
BuildRequires:  mingw32-gcc
BuildRequires:  mingw32-gcc-c++
BuildRequires:  mingw32-libogg
BuildRequires:  mingw32-win-iconv

BuildRequires:  mingw64-filesystem >= 95
BuildRequires:  mingw64-gcc
BuildRequires:  mingw64-gcc-c++
BuildRequires:  mingw64-libogg
BuildRequires:  mingw64-win-iconv

BuildRequires:  automake
BuildRequires:  autoconf
BuildRequires:  libtool
BuildRequires:  gettext-devel
BuildRequires:  nasm

%description
FLAC stands for Free Lossless Audio Codec. Grossly oversimplified, FLAC
is similar to Ogg Vorbis, but lossless. The FLAC project consists of
the stream format, reference encoders and decoders in library form,
flac, a command-line program to encode and decode FLAC files, metaflac,
a command-line metadata editor for FLAC files and input plugins for
various music players.


%package -n mingw32-flac
Summary:        %{summary}

%description -n mingw32-flac
FLAC stands for Free Lossless Audio Codec. Grossly oversimplified, FLAC
is similar to Ogg Vorbis, but lossless. The FLAC project consists of
the stream format, reference encoders and decoders in library form,
flac, a command-line program to encode and decode FLAC files, metaflac,
a command-line metadata editor for FLAC files and input plugins for
various music players.

This package is MinGW compiled flac library for the Win32 target.


%package -n mingw32-flac-tools
Summary:        Tools for Free Lossless Audio Codec
Requires:       mingw32-flac = %{version}-%{release}

%description -n mingw32-flac-tools
FLAC stands for Free Lossless Audio Codec. Grossly oversimplified, FLAC
is similar to Ogg Vorbis, but lossless. The FLAC project consists of
the stream format, reference encoders and decoders in library form,
flac, a command-line program to encode and decode FLAC files, metaflac,
a command-line metadata editor for FLAC files and input plugins for
various music players.

This package is MinGW compiled flac tools for the Win32 target.


%package -n mingw64-flac
Summary:        %{summary}

%description -n mingw64-flac
FLAC stands for Free Lossless Audio Codec. Grossly oversimplified, FLAC
is similar to Ogg Vorbis, but lossless. The FLAC project consists of
the stream format, reference encoders and decoders in library form,
flac, a command-line program to encode and decode FLAC files, metaflac,
a command-line metadata editor for FLAC files and input plugins for
various music players.

This package is MinGW compiled flac library for the Win64 target.


%package -n mingw64-flac-tools
Summary:        Tools for Free Lossless Audio Codec
Requires:       mingw64-flac = %{version}-%{release}

%description -n mingw64-flac-tools
FLAC stands for Free Lossless Audio Codec. Grossly oversimplified, FLAC
is similar to Ogg Vorbis, but lossless. The FLAC project consists of
the stream format, reference encoders and decoders in library form,
flac, a command-line program to encode and decode FLAC files, metaflac,
a command-line metadata editor for FLAC files and input plugins for
various music players.

This package is MinGW compiled flac tools for the Win64 target.


%{?mingw_debug_package}


%prep
%setup -q -n flac-%{version}


%build
# use our libtool to avoid problems with RPATH
./autogen.sh -V

%mingw_configure \
    --disable-silent-rules \
    --disable-thorough-tests

%mingw_make %{?_smp_mflags}


%install
%mingw_make_install

# documentation in native package
rm -rf %{buildroot}%{mingw32_docdir}/flac*
rm -rf %{buildroot}%{mingw64_docdir}/flac*
rm -rf %{buildroot}%{mingw32_mandir}
rm -rf %{buildroot}%{mingw64_mandir}

rm %{buildroot}%{mingw32_libdir}/*.la
rm %{buildroot}%{mingw64_libdir}/*.la


%files -n mingw32-flac
%doc AUTHORS README.md CHANGELOG.md
%license COPYING*
%{mingw32_bindir}/libFLAC-12.dll
%{mingw32_bindir}/libFLAC++-10.dll
%{mingw32_includedir}/*
%{mingw32_libdir}/libFLAC.dll.a
%{mingw32_libdir}/libFLAC++.dll.a
%{mingw32_libdir}/pkgconfig/flac.pc
%{mingw32_libdir}/pkgconfig/flac++.pc
%{mingw32_datadir}/aclocal/libFLAC.m4
%{mingw32_datadir}/aclocal/libFLAC++.m4

%files -n mingw32-flac-tools
%{mingw32_bindir}/*.exe

%files -n mingw64-flac
%doc AUTHORS README.md CHANGELOG.md
%license COPYING*
%{mingw64_bindir}/libFLAC-12.dll
%{mingw64_bindir}/libFLAC++-10.dll
%{mingw64_includedir}/*
%{mingw64_libdir}/libFLAC.dll.a
%{mingw64_libdir}/libFLAC++.dll.a
%{mingw64_libdir}/pkgconfig/flac.pc
%{mingw64_libdir}/pkgconfig/flac++.pc
%{mingw64_datadir}/aclocal/libFLAC.m4
%{mingw64_datadir}/aclocal/libFLAC++.m4

%files -n mingw64-flac-tools
%{mingw64_bindir}/*.exe




%changelog
* Sun Jun 29 2025 umeabot <umeabot> 1.4.3-2.mga10
+ Revision: 2225385
- Mageia 10 Mass Rebuild

* Tue Jul 30 2024 daviddavid <daviddavid> 1.4.3-1.mga10
+ Revision: 2082908
- new version: 1.4.3

* Fri Mar 25 2022 umeabot <umeabot> 1.3.3-2.mga9
+ Revision: 1825480
- Mageia 9 Mass Rebuild

* Sun Feb 28 2021 daviddavid <daviddavid> 1.3.3-1.mga9
+ Revision: 1693340
- new version: 1.3.3
- fixes CVE-2017-6888 and CVE-2020-0499

* Sat Sep 26 2020 tv <tv> 1.3.2-4.mga8
+ Revision: 1630233
- rebuild for new mingw stack

* Wed Feb 12 2020 umeabot <umeabot> 1.3.2-3.mga8
+ Revision: 1502079
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 1.3.2-2.mga7
+ Revision: 1279594
- Mageia 7 Mass Rebuild

* Sun Aug 05 2018 daviddavid <daviddavid> 1.3.2-1.mga7
+ Revision: 1247550
- new version: 1.3.2

* Fri Nov 18 2016 akien <akien> 1.3.1-4.mga6
+ Revision: 1068282
- Use %%mkrel to get the proper .mga6 suffix when building on infra_5

* Fri Nov 18 2016 akien <akien> 1.3.1-3.mga6
+ Revision: 1068266
- Add mandatory RPM group
- Import mingw-flac from Fedora Rawhide, mingw-flac-1.3.1-3.fc24


* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Thu Nov 27 2014 David King <amigadave@amigadave.com> - 1.3.1-1
- Update to 1.3.1 (#1168768)
- Fixes CVE-2014-8962 and CVE-2014-9028

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Feb 16 2014 František Dvořák <valtri@civ.zcu.cz> - 1.3.0-2
- Added tools subpackage
- Comment licensing breakdown

* Sat Jan 11 2014 František Dvořák <valtri@civ.zcu.cz> - 1.3.0-1
- Initial package, based on the native flac
